# Error::__construct

(No version information available, might only be in Git)

Error::__construct — Construct the error object

### Description

public Error::__construct ([ string `$message` = "" [, int `$code` = 0 [, Throwable `$previous` = `NULL` ]]] )

Constructs the Error.

### Parameters

`message`

  The error message.

`code`

  The error code.

`previous`

  The previous throwable used for the exception chaining.

### Notes

> Note:

> The `message` is NOT binary safe.